curl --request GET \
--url https://descriptapi.com/v1/jobs/{job_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://descriptapi.com/v1/jobs/{job_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://descriptapi.com/v1/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "6dc3f30a-58c2-4174-96a6-dc18cf3c7776",
"job_type": "import/project_media",
"job_state": "stopped",
"created_at": "2025-11-18T10:30:00Z",
"stopped_at": "2025-11-18T10:35:00Z",
"drive_id": "c9c5c47e-158a-49f7-846b-4f6ee2a229a2",
"project_id": "9f36ee32-5a2c-47e7-b1a3-94991d3e3ddb",
"project_url": "https://web.descript.com/9f36ee32-5a2c-47e7-b1a3-94991d3e3ddb/0171c",
"result": {
"status": "success",
"media_status": {
"Misc/intro.mp4": {
"status": "success",
"duration_seconds": 10.5
},
"demo.mp4": {
"status": "success",
"duration_seconds": 125
}
},
"media_seconds_used": 136,
"created_compositions": [
{
"id": "0171c",
"name": "Rough Cut"
}
]
}
}Get job status
Retrieve the status of any job.
The response format varies based on job type and includes type-specific fields.
Authorizations
Personal API token created in Descript Settings → API Tokens. See the Authentication section for details.
Path Parameters
The job ID
Response
Job status retrieved successfully
- Option 1
- Option 2
- Option 3
Status of an async job. The response structure varies based on the job type.
Use the job_type field to determine which fields will be present.
Unique identifier for the job
"6dc3f30a-58c2-4174-96a6-dc18cf3c7776"
Type of job
import/project_media Current state of the job:
- queued: Job is waiting to start
- running: Job is actively processing
- stopped: Job has finished (check result.status for outcome)
- cancelled: Job was cancelled by user
queued, running, stopped, cancelled "stopped"
When the job was created
"2025-11-18T10:30:00Z"
The drive ID
"c9c5c47e-158a-49f7-846b-4f6ee2a229a2"
The project ID
"9f36ee32-5a2c-47e7-b1a3-94991d3e3ddb"
URL to access the project in Descript web app. When a composition ID is available in the result, the URL includes a composition short ID suffix.
"https://web.descript.com/9f36ee32-5a2c-47e7-b1a3-94991d3e3ddb"
When the job stopped (only present when job_state is stopped or cancelled)
"2025-11-18T10:35:00Z"
Progress information for the workflow (only present when job_state is running)
Show child attributes
Show child attributes
Job result (only present when job_state is stopped)
- ImportSuccessResult
- ImportErrorResult
Show child attributes
Show child attributes

